'use client';
import { reconnect } from '@wagmi/core';
import { createContext, createElement, useEffect } from 'react';
export const WagmiContext = createContext(undefined);
export function WagmiProvider(parameters) {
    const { children, config, reconnectOnMount = true } = parameters;
    // biome-ignore lint/nursery/useExhaustiveDependencies: only run on mount
    useEffect(() => {
        if (reconnectOnMount)
            reconnect(config);
    }, []);
    const props = { value: config };
    return createElement(WagmiContext.Provider, props, children);
}
//# sourceMappingURL=context.js.map